import os
from setuptools import setup

with open("README.md", "r") as readme:
    long_description = readme.read()

setup(
    name="divr-diagnosis",
    packages=["divr_diagnosis"],
    package_data={
        "divr_diagnosis": ["diagnosis_maps/*.yml"],
    },
    version=os.environ["RELEASE_VERSION"],
    license="MIT",
    description="Toolkit to standardize voice disorder diagnostic labels",
    author="Computational Audio Research Lab",
    url="https://github.com/ComputationalAudioResearchLab/divr-diagnosis",
    keywords=[
        "ML Audio Features",
        "ML",
        "Disordered Voice Features",
        "Research",
    ],
    long_description=long_description,
    long_description_content_type="text/markdown",
    install_requires=["PyYAML>=6.0.1"],
    classifiers=[
        "Development Status :: 4 - Beta",
        "Intended Audience :: Science/Research",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Topic :: Scientific/Engineering",
    ],
)
